include	clib.inc
include	wchar.inc

PPROC	wcenter, wstr:DWORD, count:WORD, string:DPTR
	les	BX,wstr
	NMOV	DX,DS
	MMOV	DX,WORD PTR string+2
	mov	AX,WORD PTR string
	mov	CX,count
	call	@wcenter
	ret
PEND	wcenter

	END
